# program to declare an array of 4 elements, store four values in it
# and print them out.

	.data
arr:	.space 16	# 16 bytes (4 words)
msg:	.asciiz "The contents of the array are:\n"
nl:	.asciiz "\n"

	.text
	.globl main

main:	la $t0, arr		# load the address of arr in $t0
	addi $t2, $t0, 16	# the address of the first element after the array
	li $t1, 1		# load the value 1 in $t1
	sw $t1, 0($t0)		# arr[0] = 1

	li $t1, 2
	sw $t1, 4($t0)		# arr[1] = 2

	li $t1, 3
	sw $t1, 8($t0)		# arr[2] = 3

	li $t1, 4
	sw $t1, 12($t0)		# arr[3] = 4

	li $v0, 4		# print_string
	la $a0, msg		# message to print
	syscall

loop:	li $v0, 1		# print_int
	lw $a0, 0($t0)		# a0 = arr[0]
	syscall

	li $v0, 4		#print_string
	la $a0, nl		# newline
	syscall

	addi $t0, $t0, 4	# $t0 = $t0 + 4
	bne $t0, $t2, loop

Exit:	jr $ra