#--------------------------------------------------------------------------
# File: 	ifelse.asm
#
# Name:		<your name>
#
# Date:		Thursday, 02.05.04
#
# Course:	cs 312 - Introduction to Computer Organization
#
# Desc:		program to perform simple I/O and selection
#
#--------------------------------------------------------------------------
		.data
prompt1:	.asciiz	"Enter first number: "
prompt2:	.asciiz "Enter second number: "
msgLess:	.asciiz " is less than "
msgGreater:	.asciiz " is greater than "
msgEqual:	.asciiz " is equal to "

		.text
		.globl main

main:		li $v0, 4		# load print_string
		la $a0, prompt1		# load prompt1
		syscall			# display prompt1

		li $v0, 5		# load read_int
		syscall			# read int
		move $t0, $v0		# save int in $t0

		li $v0, 4		# load print_string
		la $a0, prompt2		# load prompt2
		syscall			# display prompt2

		li $v0, 5		# load read_int
		syscall			# read int
		move $t1, $v0		# save int in $t0

		# compare the two and give appropriate message
		slt $t3, $t0, $t1	# $t3 = 1 if $t0 < $t1
		bne $t3, $zero, Less	# goto Less if $t0 < $t1
		slt $t3, $t1, $t0	# $t3 = 1 if $t1 < $t0
		bne $t3, $zero, Greater	# goto Greater if $t0 > $t1
		
		li $v0, 1		# load print_int
		move $a0, $t0		# indicate $t0
		syscall			# display $t0

		li $v0, 4		# load print_string
		la $a0, msgEqual	# load equal message
		syscall
		j Exit			# goto exit
		
Less:		li $v0, 1		# load print_int
		move $a0, $t0		# indicate $t0
		syscall			# display $t0

		li $v0, 4		# load print_string
		la $a0, msgLess		# load less message
		syscall
		j Exit			# goto exit

Greater:	li $v0, 1		# load print_int
		move $a0, $t0		# indicate $t0
		syscall			# display $t0

		li $v0, 4		# load print_string
		la $a0, msgGreater	# load greater message
		syscall
		j Exit			# goto exit

Exit:		li $v0, 1		# load print_int
		move $a0, $t1		# indicate $t1
		syscall			# display $t1

		jr $31			# return from main